Package be.e_contract.ejsf.behavior.fullscreen

# Class FullscreenClientBehavior

java.lang.Object
javax.faces.component.behavior.BehaviorBase
javax.faces.component.behavior.ClientBehaviorBase
be.e_contract.ejsf.behavior.fullscreen.FullscreenClientBehavior

All Implemented Interfaces:
  `javax.faces.component.behavior.Behavior`, `javax.faces.component.behavior.ClientBehavior`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`

public class FullscreenClientBehavior extends javax.faces.component.behavior.ClientBehaviorBase

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BEHAVIOR_ID`

## Constructor Summary

Constructors
Constructor
Description
`FullscreenClientBehavior()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getComponent()`
`String`
`getOnfullscreen()`
`String`
`getRendererType()`
`void`
`setComponent(String component)`
`void`
`setOnfullscreen(String onfullscreen)`

### Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase

`decode, getHints, getRenderer, getScript`

### Methods inherited from class javax.faces.component.behavior.BehaviorBase

`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, restoreState, saveState, setTransient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.behavior.Behavior

`broadcast`

## Field Details

### BEHAVIOR_ID

public static final String BEHAVIOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### FullscreenClientBehavior

public FullscreenClientBehavior()

## Method Details

### getComponent

public String getComponent()

### setComponent

public void setComponent(String component)

### getOnfullscreen

public String getOnfullscreen()

### setOnfullscreen

public void setOnfullscreen(String onfullscreen)

### getRendererType

public String getRendererType()

Overrides:
  `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`